### Hierarchy

- IEmitter
  - IPdf

### Implemented by

- Pdf

## Index

### Properties

- ON_LOADED
- ON_LOADING
- emit
- fit
- off
- on
- register
- unRegister

### Methods

- destroy
- page
- removeEvent
- removeEvents
- render
- setFit

## Properties

### ON_LOADED

ON_LOADED: string

- Defined in Pdf.ts:32

### ON_LOADING

ON_LOADING: string

- Defined in Pdf.ts:31

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### fit

fit: string

- Defined in Pdf.ts:33

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### destroy

- destroy(): void

- - Defined in Pdf.ts:34

  #### Returns void

### page

- page(direction: any): void

- - Defined in Pdf.ts:37

  #### Parameters

  - ##### direction: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

### render

- render(data: any): Promise<void>

- - Defined in Pdf.ts:35

  #### Parameters

  - ##### data: any

  #### Returns Promise<void>

### setFit

- setFit(dimension: string): void

- - Defined in Pdf.ts:36

  #### Parameters

  - ##### dimension: string

  #### Returns void

Generated using TypeDoc